Subject: Re: bug#19328: [PATCH] Add mechanism to prompt about unsaved customizations

From: Cameron Desautels <[email-masked]>
Date: Thu, 11 Dec 2014 19:04:19 -0600

> Could you add a NEWS entry and maybe some docs in the manual?  I think
> it's very helpful for beginners.  The code looks OK to me.

Absolutely!  I've attached an updated version of the patch with the
requested additions.

What about turning something like this on by default?  Any strong
opinions?  Having it available to add to the hook is a step in the
right direction, but the users most likely to be helped by it are (I
assume) less likely to be editing their initialization file by hand.

If it does make sense to turn it on by default then I suspect the
implementation would be rather different from a call to `add-hook' (it
seems a bit odd to have a user call `remove-hook' to turn off the
behavior), so perhaps an addition to `save-buffers-kill-emacs' and a
variable to toggle the feature would be in order?
--
Cameron Desautels <[email-masked]>